Create Smart List¶
POST /rest/asset/v1/smartLists.json
Method: POST
Path: /rest/asset/v1/smartLists.json
Tag: Smart Lists
Operation ID: createSmartListUsingPOST
Creates a new Smart List. Required Permissions: Read-Write Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
Request body¶
Name: createSmartListRequest
Required: Yes
Schema: model: CreateSmartListRequest
createSmartListRequest
Generated example¶
Referenced models¶
Example request¶
POST {{base_url}}/rest/asset/v1/smartLists.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json
{
"name": "Example name",
"folder": {
"id": 123,
"type": "Folder"
},
"description": "string"
}
Responses¶
200 — OK¶
Schema: model: ResponseOfSmartListResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"id": 123,
"name": "Example name",
"description": "string",
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:30:00Z",
"url": "https://example.com",
"folder": {
"id": 123,
"type": "Folder"
},
"workspace": "string"
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.